<?


/*

	o7.ru studio
	Use this class for creating custom Checkboxes
	
	howto use:

	$chk->JS();		// place this to HEAD tag
	$chk->css();	// place this to STYLE tag

	$chk->box(name, id, value, checked, enabled)	// place this anywhere you need to


*/

class O7checkbox {

function O7checkbox ($img, $width, $height) {
	$this->img = $img;
	$this->width = $width;
	$this->height = $height;
}

function css () {
	return '
	.O7chkboxON, .O7chkboxOFF, .O7chkboxONdsbl, .O7chkboxOFFdsbl{
		width:'.$this->width.'px;
		height:'.$this->height.'px;
		background-image:url('.$this->img.');
		display:block;
		text-decoration:none;
	}

	.O7chkboxON {background-position: 0px 0px}
	.O7chkboxOFF {background-position: 0px -'.$this->height.'px}
	.O7chkboxONdsbl {background-position: 0px -'.(2*$this->height).'px}
	.O7chkboxOFFdsbl {background-position: 0px -'.(3*$this->height).'px}
';
}

function box($name, $id, $value, $checked, $enabled=true) {
	$value = str_replace('"', '&quote;', $value);
	$checked = ($checked) ? 1 : 0;
	$enabled = ($enabled) ? 1 : 0;

	$class = ($checked) ? 'O7chkboxON' : 'O7chkboxOFF';
	$class.= ($enabled) ? '' : 'dsbl';
	if  ($enabled) {
		$box = "<a href=\"#\" class=\"$class\" id=\"a$id\" onClick=\"return O7chkboxSwitch('$id', $checked, '$value')\"></a>";
	} else {
		$box = "<a class=\"$class\" id=\"a$id\"></a>";
	}
	$value = ($checked) ? $value : '';
	$box .= "<input name=\"$name\" id=\"$id\" value=\"$value\" type=hidden>";
	return $box;
}

function JS() {
	$js = '<script>
var O7chkboxes = new Array();
var O7chkboxesINIT = new Array();

function O7chkboxSwitch(id, initialState, value) {
	if(!O7chkboxesINIT[id]) {
		O7chkboxesINIT[id] = initialState;
		O7chkboxes[id] = initialState;
	}
	O7chkboxes[id] = (O7chkboxes[id]==1)? 0:1;
	aid = "a" + id;
	document.getElementById(aid).className = (O7chkboxes[id]==1) ? "O7chkboxON" : "O7chkboxOFF";
	document.getElementById(id).value = (O7chkboxes[id]==1) ? value : "";
	return false;
}
</script>';
	return $js;
}

}
?>